Bug 123772 - UNO: Setting dialog resizable has no effect
Summary: UNO: Setting dialog resizable has no effect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.1....
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-28 20:24 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-03-11 11:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Beanshell script to reproduce the bug (1.49 KB, text/plain)
2019-02-28 20:24 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-02-28 20:24:01 UTC
Created attachment 149665 [details]
Beanshell script to reproduce the bug

See attached beanshell script.

The dialog is set to be "Sizeable", so the user should be able to resize the dialog.
That doesn't work currently.
Comment 1 Commit Notification 2019-03-01 07:00:08 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e55c7ff6df82c597763d2eb551f7ccdaa95cd0a9%5E%21

tdf#123772 UnoControlDialogModel: Don't ignore property "Sizeable"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-03-04 11:34:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/183ce9d56bda4f471a04defec9e563165194bea4%5E%21

tdf#123772 UnoControlDialogModel: Don't ignore property "Sizeable"

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-03-04 11:34:59 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/3decaa3c549c854c2f59d00d930617c70f5e29db%5E%21

tdf#123772 UnoControlDialogModel: Don't ignore property "Sizeable"

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-03-08 08:18:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9c2cf30333a3d1434c4184ed7a1e824c9fa3abb5%5E%21

tdf#123772 Add test

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-10 00:24:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c79efe6aef13890fc50aec63d96425d697179fc1%5E%21

tdf#123772 Add test

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-03-11 11:16:54 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/4be972520e040ab3403645a7e266ce7316dbe38a%5E%21

tdf#123772 Add test

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.